From: wysochanski@sourceware.org <wysochanski@sourceware.org>
To: lvm-devel@redhat.com
Subject: LVM2/test test-utils.sh
Date: 5 Dec 2008 05:03:24 -0000 [thread overview]
Message-ID: <20081205050324.20366.qmail@sourceware.org> (raw)
CVSROOT: /cvs/lvm2
Module name: LVM2
Changes by: wysochanski at sourceware.org 2008-12-05 05:03:24
Modified files:
test : test-utils.sh
Log message:
Fix test-utils.h for rhel4 backward compatability.
for losetup, break out of the loop when successful setup of loop device,
and only look at 7 loop devices (default loop module setting)
for blockdev, use old option if new one is not available
Patches:
http://sourceware.org/cgi-bin/cvsweb.cgi/LVM2/test/test-utils.sh.diff?cvsroot=lvm2&r1=1.6&r2=1.7
--- LVM2/test/test-utils.sh 2008/11/10 12:36:23 1.6
+++ LVM2/test/test-utils.sh 2008/12/05 05:03:23 1.7
@@ -73,15 +73,19 @@
return 0
else
# no -f support
- # Iterate through $G_dev_/loop{,/}{0,1,2,3,4,5,6,7,8,9}
+ # Iterate through $G_dev_/loop{,/}{0,1,2,3,4,5,6,7}
for slash in '' /; do
- for i in 0 1 2 3 4 5 6 7 8 9; do
+ for i in 0 1 2 3 4 5 6 7; do
local dev=$G_dev_/loop$slash$i
! losetup $dev >/dev/null 2>&1 || continue
# got a free
losetup "$dev" "$LOOPFILE"
LOOP=$dev
+ break
done
+ if [ -n "$LOOP" ]; then
+ break
+ fi
done
test -n "$LOOP" # confirm or fail
return 0
@@ -99,7 +103,10 @@
PREFIX="LVMTEST$$"
- local loopsz=`blockdev --getsz $LOOP`
+ if ! loopsz=`blockdev --getsz $LOOP 2>/dev/null`; then
+ loopsz=`blockdev --getsize $LOOP 2>/dev/null`
+ fi
+
local size=$(($loopsz/$n))
for i in `seq 1 $n`; do
next reply other threads:[~2008-12-05 5:03 UTC|newest]
Thread overview: 28+ messages / expand[flat|nested] mbox.gz Atom feed top
2008-12-05 5:03 wysochanski [this message]
-- strict thread matches above, loose matches on Subject: below --
2010-12-09 11:19 LVM2/test test-utils.sh mbroz
2010-10-26 1:25 snitzer
2010-10-12 16:13 mornfall
2010-08-27 8:52 mbroz
2010-08-27 7:59 mbroz
2010-08-02 13:18 zkabelac
2010-05-24 17:19 mbroz
2010-05-24 17:18 mbroz
2010-05-12 11:58 mornfall
2010-04-20 18:18 snitzer
2010-04-14 12:04 mornfall
2010-04-13 8:01 mornfall
2010-04-13 7:02 mornfall
2010-04-13 6:24 mornfall
2010-04-07 21:38 mornfall
2010-04-07 21:19 mornfall
2010-04-07 16:04 mornfall
2010-04-06 14:25 agk
2010-03-28 15:52 mornfall
2010-03-18 9:27 mornfall
2010-02-01 19:43 wysochanski
2009-05-13 19:18 wysochanski
2009-04-24 8:00 mornfall
2008-12-10 16:16 zkabelac
2008-11-10 12:36 mornfall
2008-11-04 14:38 mornfall
2008-10-14 19:48 mornfall
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20081205050324.20366.qmail@sourceware.org \
--to=wysochanski@sourceware.org \
--cc=lvm-devel@redhat.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.